Skip to content

/fal-ai/flux-lora ​

POST https://www.kkiai.com/fal-ai/flux-lora

Official documentation: https://fal.ai/models/fal-ai/flux-lora

Request Parameters ​

Authorization

Add the Authorization parameter to the Header. Its value should be the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Body Parameters (application/json) ​

ParameterTypeRequiredDescription
promptstringRequired
image_sizestringOptionalImage size, enum values: square, square pro, landscape_4_3, landscape_16_9, portrait_3_4
num_inference_stepsintegerOptional
guidance_scalenumberOptional
num_imagesintegerOptionalNumber of images, range: 1-4
enable_safety_checkerbooleanOptionalEnable safety checker, default value: true
output_formatstringOptionalOutput image format, supports: jpeg, png

Request Example ​

json
{
  "prompt": "Extreme close-up of a single tiger eye, direct frontal view. Detailed iris and pupil. Sharp focus on eye texture and color. Natural lighting to capture authentic eye shine and depth. The word \"FLUX\" is painted over it in big, white brush strokes with visible texture.",
  "image_size": "landscape_4_3",
  "num_inference_steps": 28,
  "guidance_scale": 3.5,
  "num_images": 1,
  "enable_safety_checker": true,
  "output_format": "jpeg"
}

cURL Example ​

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/flux-lora' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "Extreme close-up of a single tiger eye, direct frontal view. Detailed iris and pupil. Sharp focus on eye texture and color. Natural lighting to capture authentic eye shine and depth. The word \"FLUX\" is painted over it in big, white brush strokes with visible texture.",
  "image_size": "landscape_4_3",
  "num_inference_steps": 28,
  "guidance_scale": 3.5,
  "num_images": 1,
  "enable_safety_checker": true,
  "output_format": "jpeg"
}'

Response ​

🟢 200 Success

Response Example ​

json
{
    "status": "IN_QUEUE",
    "request_id": "07e0be22-3380-4699-a377-48729443435c",
    "response_url": "https://queue.fal.run/fal-ai/flux-lora/requests/07e0be22-3380-4699-a377-48729443435c",
    "status_url": "https://queue.fal.run/fal-ai/flux-lora/requests/07e0be22-3380-4699-a377-48729443435c/status",
    "cancel_url": "https://queue.fal.run/fal-ai/flux-lora/requests/07e0be22-3380-4699-a377-48729443435c/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}